/*
 *  SBC5206 Hardware Configuration Information
 *
 *  Header file describing the interrupt and memory map for the SBC5206 
 *  evaluation board.
 *
 *  Author:
 *    David Fiddes, D.J@fiddes.surfaid.org
 *    http://www.calm.hw.ac.uk/davidf/coldfire/
 *
 *  COPYRIGHT (c) 1989-1998.
 *  On-Line Applications Research Corporation (OAR).
 *  Copyright assigned to U.S. Government, 1994.
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 * 
 *  http://www.OARcorp.com/rtems/license.html.
 * 
 *  $Id: sbc5206.h,v 1.11 1998/02/19 23:02:02 joel Exp $
 */

#ifndef _SBC5206_H_
#define _SBC5206_H_

/***************************************************************************/
/**  SBC5206 Memory Map                                                   **/

#define MBAR_BASE           0x10000000


/***************************************************************************/
/**  SBC5206 Interrupt Map                                                **/

#define AUTOVEC_VECTOR      24

#define TIMER1_IRQ_LEVEL    5
#define TIMER1_IRQ_PRIORITY 3
#define TIMER1_IRQ_VECTOR   (AUTOVEC_VECTOR + TIMER1_IRQ_LEVEL)

#define TIMER2_IRQ_LEVEL    6
#define TIMER2_IRQ_PRIORITY 3
#define TIMER2_IRQ_VECTOR   (AUTOVEC_VECTOR + TIMER2_IRQ_LEVEL)

#define UART1_IRQ_LEVEL     1
#define UART1_IRQ_PRIORITY  1
#define UART1_IRQ_VECTOR    64

#define UART2_IRQ_LEVEL     1
#define UART2_IRQ_PRIORITY  2
#define UART2_IRQ_VECTOR    (UART1_IRQ_VECTOR + 1) /* driver requires vectors be contiguous */

#define MBUS_IRQ_LEVEL      3
#define MBUS_IRQ_PRIORITY   0
#define MBUS_IRQ_VECTOR     (AUTOVEC_VECTOR + MBUS_IRQ_LEVEL)

#define HC901_IRQ_LEVEL     1
#define HC901_IRQ_PRIORITY  3
#define HC901_IRQ_VECTOR    (0xF0)

#define NIC_IRQ_LEVEL       4
#define NIC_IRQ_PRIORITY    2
#define NIC_IRQ_VECTOR      (HC901_IRQ_VECTOR + MC68HC901_VR_IV_GPI0)

/* put other hardware/memory defs and other useful sbc5206 specific stuff in here! */

#endif /* _SBC5206_H_ */
