/*
 *  Handle MCF5206 TIMER2 interrupts.
 *
 * All code in this routine is pure overhead which can perturb the
 * accuracy of RTEMS' timing test suite.
 *
 * See also:	Read_timer()
 *
 * To reduce overhead this is best to be the "rawest" hardware interupt
 * handler you can write.  This should be the only interrupt which can
 * occur during the measured time period.
 *
 * An external counter, Timer_interrupts, is incremented.
 *
 *  Author:
 *    David Fiddes, D.J@fiddes.surfaid.org
 *    http://www.calm.hw.ac.uk/davidf/coldfire/
 *
 *  COPYRIGHT (c) 1989-1998.
 *  On-Line Applications Research Corporation (OAR).
 *  Copyright assigned to U.S. Government, 1994.
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *
 *  http://www.OARcorp.com/rtems/license.html.
 * 
 *  $Id: timerisr.s,v 1.8 1998/03/21 15:36:53 joel Exp $
 */

#include "asm.h"

BEGIN_CODE
	PUBLIC(timerisr)
SYM(timerisr):
        move.l   #0x10000131,a0 |Reset the timer chip (hard coded Timer2.TER reg value - bad)
        move.b   #0x03,(a0)
	addq.l	 #1,SYM(Timer_interrupts) | increment timer value
	rte
END_CODE
END
